xine-lib: xine-lib-1.2.13/src/libw32dll/dmo/dmo.c File Reference

xine-lib 1.2.13-20230125hg15249

Typedefs | Functions
dmo.c File Reference
`#include "DMO_Filter.h"`
`#include "driver.h"`
`#include "com.h"`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include "win32.h"`

## Typedefs
typedef long STDCALL(* | GETCLASS) (const GUID *, const GUID *, void **)

## Functions
void | trapbug ()
void | DMO_Filter_Destroy (DMO_Filter *This)
DMO_Filter * | DMO_FilterCreate (const char *dllname, const GUID *id, DMO_MEDIA_TYPE *in_fmt, DMO_MEDIA_TYPE *out_fmt)

## Typedef Documentation

## ◆ GETCLASS

typedef long STDCALL(* GETCLASS) (const GUID *, const GUID *, void **)

## Function Documentation

## ◆ DMO_Filter_Destroy()

void DMO_Filter_Destroy | ( | DMO_Filter * | This | ) |

Destroy DMO_Filter object - release all allocated resources

References _DMO_Filter::m_pInPlace, _DMO_Filter::m_pMedia, _DMO_Filter::m_pOptim, _IDMOVideoOutputOptimizations::vt, _IMediaObject::vt, and _IMediaObjectInPlace::vt.

Referenced by DMO_AudioDecoder_Destroy(), DMO_FilterCreate(), and DMO_VideoDecoder_Destroy().

## ◆ DMO_FilterCreate()

DMO_Filter * DMO_FilterCreate | ( | const char * | dllname,
|  | const GUID * | id,
|  | AM_MEDIA_TYPE * | in_fmt,
|  | AM_MEDIA_TYPE * | out_fmt )

Create DMO_Filter object - similar syntax as for DS_Filter

References DMO_Filter_Destroy(), DMO_VOSF_NEEDS_PREVIOUS_SAMPLE, IMediaObject_vt::GetOutputSizeInfo, IMediaObject_vt::GetOutputType, GetProcAddress(), IMediaObject_vt::GetStreamCount, IID_IDMOVideoOutputOptimizations, IID_IMediaObject, IID_IMediaObjectInPlace, LoadLibraryA(), _DMO_Filter::m_iHandle, _DMO_Filter::m_pInPlace, _DMO_Filter::m_pMedia, _DMO_Filter::m_pOptim, NULL, IDMOVideoOutputOptimizations_vt::QueryOperationModePreferences, IMediaObject_vt::SetInputType, IMediaObject_vt::SetOutputType, _IDMOVideoOutputOptimizations::vt, and _IMediaObject::vt.

Referenced by DMO_AudioDecoder_Open(), and DMO_VideoDecoder_Open().

## ◆ trapbug()

void trapbug | ( |  | ) |